Bug 1071518 - curl error
curl error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-01 01:38 EST by Rahul Sundaram
Modified: 2014-09-30 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: dnf-0.4.17-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-07 22:35:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2014-03-01 01:38:11 EST
Description of problem:

--> Package ffmpeg.x86_64 2.1.3-1.fc20 will be upgraded
---> Package ffmpeg.x86_64 2.1.4-1.fc20 will be an upgrade
---> Package ffmpeg-libs.x86_64 2.1.3-1.fc20 will be upgraded
---> Package ffmpeg-libs.x86_64 2.1.4-1.fc20 will be an upgrade
---> Package grep.x86_64 2.17-1.fc20 will be upgraded
---> Package grep.x86_64 2.18-1.fc20 will be an upgrade
--> Finished dependency resolution
Dependencies resolved.

================================================================================
 Package         Arch       Version            Repository                  Size
================================================================================
Upgrading:
 ffmpeg          x86_64     2.1.4-1.fc20       rpmfusion-free-updates     1.3 M
 ffmpeg-libs     x86_64     2.1.4-1.fc20       rpmfusion-free-updates     4.2 M
 grep            x86_64     2.18-1.fc20        updates                    353 k

Transaction Summary
================================================================================
Upgrade  3 Packages

Total download size: 5.9 M
Is this ok [y/N]: y
Downloading Packages:
Error: Error downloading packages:
   : C
  : u
  : r
  : l
  :  
  : e
  : r
  : r
  : o
  : r
  : :
  :  
  : T
  : i
  : m
  : e
  : o
  : u
  : t
  :  
  : w
  : a
  : s
  :  
  : r
  : e
  : a
  : c
  : h
  : e
  : d
  :  
  : f
  : o
  : r
  :  
  : h
  : t
  : t
  : p
  : :
  : /
  : /
  : m
  : i
  : r
  : r
  : o
  : r
  : s
  : .
  : r
  : p
  : m
  : f
  : u
  : s
  : i
  : o
  : n
  : .
  : o
  : r
  : g
  : /
  : m
  : i
  : r
  : r
  : o
  : r
  : l
  : i
  : s
  : t
  : ?
  : r
  : e
  : p
  : o
  : =
  : f
  : r
  : e
  : e
  : -
  : f
  : e
  : d
  : o
  : r
  : a
  : -
  : u
  : p
  : d
  : a
  : t
  : e
  : s
  : -
  : r
  : e
  : l
  : e
  : a
  : s
  : e
  : d
  : -
  : 2
  : 0
  : &
  : a
  : r
  : c
  : h
  : =
  : x
  : 8
  : 6
  : _
  : 6
  : 4
Comment 1 Parag Nemade 2014-03-01 05:24:06 EST
here is similar transaction done on my system using dnf.

Resolving dependencies
--> Starting dependency resolution
---> Package ffmpeg.x86_64 2.1.3-1.fc20 will be upgraded
---> Package ffmpeg.x86_64 2.1.4-1.fc20 will be an upgrade
---> Package ffmpeg-libs.x86_64 2.1.3-1.fc20 will be upgraded
---> Package ffmpeg-libs.x86_64 2.1.4-1.fc20 will be an upgrade
---> Package grep.x86_64 2.17-1.fc20 will be upgraded
---> Package grep.x86_64 2.18-1.fc20 will be an upgrade
---> Package vlc.x86_64 2.1.3-1.fc20 will be upgraded
---> Package vlc.x86_64 2.1.4-1.fc20 will be an upgrade
---> Package vlc-core.x86_64 2.1.3-1.fc20 will be upgraded
---> Package vlc-core.x86_64 2.1.4-1.fc20 will be an upgrade
--> Finished dependency resolution
Dependencies resolved.

================================================================================================================================================================================
 Package                                 Arch                               Version                                    Repository                                          Size
================================================================================================================================================================================
Upgrading:
 ffmpeg                                  x86_64                             2.1.4-1.fc20                               rpmfusion-free-updates                             1.3 M
 ffmpeg-libs                             x86_64                             2.1.4-1.fc20                               rpmfusion-free-updates                             4.2 M
 grep                                    x86_64                             2.18-1.fc20                                updates                                            353 k
 vlc                                     x86_64                             2.1.4-1.fc20                               rpmfusion-free-updates                             1.5 M
 vlc-core                                x86_64                             2.1.4-1.fc20                               rpmfusion-free-updates                             8.3 M

Transaction Summary
================================================================================================================================================================================
Upgrade  5 Packages

Total download size: 16 M
Is this ok [y/N]: y
Downloading Packages:
(1/5): grep-2.17-1.fc20_2.18-1.fc20.x86_64.drpm                                                                                                  29 kB/s | 130 kB     00:04    
[MIRROR] ffmpeg-libs-2.1.4-1.fc20.x86_64.rpm: Curl error: Timeout was reached for http://mirrors.hustunique.com/rpmfusion/free/fedora/updates/20/x86_64/ffmpeg-libs-2.1.4-1.fc20.x86_64.rpm
[MIRROR] ffmpeg-libs-2.1.4-1.fc20.x86_64.rpm: Curl error: Timeout was reached for http://mirror.hust.edu.cn/rpmfusion/free/fedora/updates/20/x86_64/ffmpeg-libs-2.1.4-1.fc20.x86_64.rpm
[MIRROR] ffmpeg-2.1.4-1.fc20.x86_64.rpm: Curl error: Timeout was reached for http://mirrors.hustunique.com/rpmfusion/free/fedora/updates/20/x86_64/ffmpeg-2.1.4-1.fc20.x86_64.rpm
[MIRROR] ffmpeg-2.1.4-1.fc20.x86_64.rpm: Curl error: Timeout was reached for http://mirror.hust.edu.cn/rpmfusion/free/fedora/updates/20/x86_64/ffmpeg-2.1.4-1.fc20.x86_64.rpm  
(2/5): ffmpeg-2.1.4-1.fc20.x86_64.rpm                                                                                                           149 kB/s | 1.3 MB     00:09    
(3/5): ffmpeg-libs-2.1.4-1.fc20.x86_64.rpm                                                                                                      109 kB/s | 4.2 MB     00:39    
[MIRROR] vlc-core-2.1.4-1.fc20.x86_64.rpm: Curl error: Timeout was reached for http://mirrors.hustunique.com/rpmfusion/free/fedora/updates/20/x86_64/vlc-core-2.1.4-1.fc20.x86_64.rpm
[MIRROR] vlc-core-2.1.4-1.fc20.x86_64.rpm: Curl error: Timeout was reached for http://mirror.hust.edu.cn/rpmfusion/free/fedora/updates/20/x86_64/vlc-core-2.1.4-1.fc20.x86_64.rpm
[MIRROR] vlc-2.1.4-1.fc20.x86_64.rpm: Curl error: Timeout was reached for http://mirrors.hustunique.com/rpmfusion/free/fedora/updates/20/x86_64/vlc-2.1.4-1.fc20.x86_64.rpm    
(4/5): vlc-core-2.1.4-1.fc20.x86_64.rpm                                                                                                         107 kB/s | 8.3 MB     01:18    A
[MIRROR] vlc-2.1.4-1.fc20.x86_64.rpm: Curl error: Timeout was reached for http://mirror.hust.edu.cn/rpmfusion/free/fedora/updates/20/x86_64/vlc-2.1.4-1.fc20.x86_64.rpm        A
(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  102% [=====================================================================-] 120 kB/s |  16 MB     --:-- ET(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  102% [=====================================================================-] 117 kB/s |  16 MB     --:-- ET(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  102% [=====================================================================-] 118 kB/s |  16 MB     --:-- ET(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  103% [======================================================================] 122 kB/s |  16 MB     --:-- ET(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  103% [======================================================================] 128 kB/s |  16 MB     --:-- ET(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  104% [======================================================================-] 136 kB/s |  16 MB     --:-- E(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  104% [=======================================================================] 143 kB/s |  16 MB     --:-- E(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  105% [=======================================================================] 150 kB/s |  16 MB     --:-- E(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  105% [=======================================================================-] 156 kB/s |  16 MB     --:-- (5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  105% [=======================================================================-] 126 kB/s |  16 MB     --:-- (5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  105% [=======================================================================-] 126 kB/s |  16 MB     --:-- (5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  105% [=======================================================================-] 126 kB/s |  16 MB     --:-- (5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  105% [=======================================================================-] 126 kB/s |  16 MB     --:-- (5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  105% [=======================================================================-] 116 kB/s |  16 MB     --:-- (5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  106% [========================================================================] 115 kB/s |  16 MB     --:-- (5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  106% [========================================================================] 123 kB/s |  16 MB     --:-- (5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  108% [=========================================================================] 161 kB/s |  17 MB     --:--(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  108% [=========================================================================-] 164 kB/s |  17 MB     --:-(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  108% [==========================================================================] 167 kB/s |  17 MB     --:-(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  109% [==========================================================================] 171 kB/s |  17 MB     --:-(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  109% [==========================================================================-] 175 kB/s |  17 MB     --:(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  110% [==========================================================================-] 179 kB/s |  17 MB     --:(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  110% [===========================================================================] 177 kB/s |  17 MB     --:(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  110% [===========================================================================] 177 kB/s |  17 MB     --:(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  110% [===========================================================================] 177 kB/s |  17 MB     --:(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  110% [===========================================================================] 177 kB/s |  17 MB     --:(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  110% [===========================================================================] 177 kB/s |  17 MB     --:(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  110% [===========================================================================] 177 kB/s |  17 MB     --:(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  110% [===========================================================================] 170 kB/s |  17 MB     --:(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  110% [===========================================================================] 170 kB/s |  17 MB     --:(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  110% [===========================================================================] 139 kB/s |  17 MB     --:(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                  111% [===========================================================================-] 133 kB/s |  17 MB     --(5/5): vlc-2.1.4-1.fc20.x86_64.rpm                                                                                                              101 kB/s | 1.5 MB     00:15    
[DRPM] grep-2.17-1.fc20_2.18-1.fc20.x86_64.drpm: done                                                                                                                          
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                            54 kB/s |  15 MB     04:51     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction

<snip>

Complete!
Comment 2 Ales Kozumplik 2014-03-03 04:53:51 EST
Commit 13cd434 fixes the poor error formating on master.
Comment 3 Ales Kozumplik 2014-03-03 05:27:18 EST
Also see bug 1070598.
Comment 4 Fedora Update System 2014-03-05 07:57:44 EST
dnf-0.4.17-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.17-1.fc20
Comment 5 Fedora Update System 2014-03-06 03:14:40 EST
Package dnf-0.4.17-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.17-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3465/dnf-0.4.17-1.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-03-07 22:35:51 EST
dnf-0.4.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.